com.google.appengine.api.files

## Class FileStat

- java.lang.Object
- - com.google.appengine.api.files.FileStat

- Deprecated.

      @Deprecated
      public final class FileStat
      extends java.lang.Object

  A `FileStat` contains information about a single file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileStat()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Deprecated.
    `java.lang.Long` | `getCtime()` Deprecated. This field is never set under current implementation.
    `java.lang.String` | `getFilename()` Deprecated.
    `java.lang.Long` | `getLength()` Deprecated.
    `java.lang.Long` | `getMtime()` Deprecated. This field is never set under current implementation.
    `int` | `hashCode()` Deprecated.
    `boolean` | `isFinalized()` Deprecated.
    `void` | `setCtime(long ctime)` Deprecated.
    `void` | `setFilename(java.lang.String filename)` Deprecated.
    `void` | `setFinalized(boolean finalized)` Deprecated.
    `void` | `setLength(long length)` Deprecated.
    `void` | `setMtime(long mtime)` Deprecated.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileStat

          public FileStat()

      Deprecated.

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Deprecated.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### setFilename

          public void setFilename(java.lang.String filename)

      Deprecated.
      Parameters:
        `filename` - the uploaded filename of the file.

    - #### setFinalized

          public void setFinalized(boolean finalized)

      Deprecated.
      Parameters:
        `finalized` - whether the file is finalized.

    - #### setLength

          public void setLength(long length)

      Deprecated.
      Parameters:
        `length` - the number of bytes of the file.

    - #### setCtime

          public void setCtime(long ctime)

      Deprecated.
      Parameters:
        `ctime` - creation time.

    - #### setMtime

          public void setMtime(long mtime)

      Deprecated.
      Parameters:
        `mtime` - modification time.

    - #### getFilename

          public java.lang.String getFilename()

      Deprecated.
      Returns:
        the filename.

    - #### isFinalized

          public boolean isFinalized()

      Deprecated.
      Returns:
        whether or not the file is finalized

    - #### getLength

          public java.lang.Long getLength()

      Deprecated.
      Returns:
        the length. `null` if not set.

    - #### getCtime

          public java.lang.Long getCtime()

      Deprecated.
      This field is never set under current implementation.
      Returns:
        the ctime. `null` if not set.

    - #### getMtime

          public java.lang.Long getMtime()

      Deprecated.
      This field is never set under current implementation.
      Returns:
        the mtime. `null` if not set.